
QGIS Application - Bug report #14637

Add vector layer includes directory name in the front of the layer and the word 'any' at the end of the 

layer

2016-04-08 02:52 AM - Wouter Yperman

Status: Closed

Priority: Normal

Assignee:

Category: Vectors

Affected QGIS version:2.14.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 22601

Description

When I want to import layers using the "add vector layer" button I choose a folder.

When the layers are imported each layer has the name of the folder/directory in front of it and the word 'any' added at the back. 

The layer name is "measurements wall any" instead of "wall" 

This is extremely annoying since I have to rename every imported layer.

History

#1 - 2016-04-09 07:32 AM - Giovanni Manghi

- Operating System deleted (Mac)

- Status changed from Open to Feedback

- Category set to Vectors

- OS version deleted (10.11.4)

- Target version deleted (Version 2.14)

if your vectors are not directory based (example: file geodatabases are directory based, shapefiles are not) then you should not use the "add vector layer"

dialog in "directory" mode. You should use the dialog in "file" mode, enter a folder and then choose as many file based datasources in it.

#2 - 2016-05-22 02:35 PM - Giovanni Manghi

- Status changed from Feedback to Closed

- Resolution set to invalid
